Name		: thunderbird
Version		: 3.0.3
Release		: b1

License		: MPL
Summary		: Mozilla Thunderbird Mail Client
Group		: Applications/Internet

URL		: http://www.mozilla.org/products/thunderbird/
Vendor		: Mozilla Foundation
Packager	: Yuichiro Nakada

BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Source0		: %{name}-%{version}.tar.bz2
Source1		: thunderbird.desktop
Source2		: thunderbird.png

AutoReq		: No
AutoProv	: No

BuildArchitectures: i686
NoSource: 0

#%define DISTDIR	%{_libdir}
%define DISTDIR	/opt

%description
Thunderbird is a free, open-source and cross-platform mail client based on the Mozilla codebase.
It is a robust and easy to use client, similar to competing products like Outlook Express,
but with some major advantages such as junk mail classification.

%prep
rm -rf %{buildroot}

#######################################################################
# setup macro
# -a num  : Only unpack source number after changing to the directory
# -b num  : Only unpack source number before changing to the directory
# -c      : Create directory before unpacking.
# -D      : Do not delete the directory before unpacking
# -n name : Name the directory as name
# -q      : Run quiety with minimum output
# -T      : Disable the automatic unpacking of the archives.
#######################################################################
%setup -c -q

%{__cat} <<'EOM' > thunderbird.sh
#!/bin/sh

MOZILLA_FIVE_HOME="%{DISTDIR}/thunderbird"
MOZILLA_FIVE_HOME="/opt/thunderbird"
MOZ_PROGRAM="$MOZILLA_FIVE_HOME/thunderbird"

LD_LIBRARY_PATH="$MOZILLA_FIVE_HOME:$MOZILLA_FIVE_HOME/plugins:$LD_LIBRARY_PATH"
MOZ_PLUGIN_PATH="$MOZILLA_FIVE_HOME/plugins:%{_libdir}/mozilla/plugins:$MOZ_PLUGIN_PATH"
FONTCONFIG_PATH="/etc/fonts:$MOZILLA_FIVE_HOME/res/Xft"
export MOZILLA_FIVE_HOME LD_LIBRARY_PATH MOZ_PLUGIN_PATH FONTCONFIG_PATH

MOZARGS=""
MOZLOCALE="$(echo $LANG | sed 's|_\([^.]*\).*|-\1|g')"
if [ -f "$MOZILLA_FIVE_HOME/chrome/$MOZLOCALE.jar" ]; then
	MOZARGS="-UILocale $MOZLOCALE"
fi

exec $MOZ_PROGRAM $MOZARGS &
EOM

#########################################################
# Common Red Hat RPM macros (rpm --showrc for more info)
# {_sourcedir} : /usr/src/redhat/SOURCES
# {_builddir}  : /usr/src/redhat/BUILD
# {_tmppath}   : /var/tmp
# {_libdir}    : /usr/lib
# {_bindir}    : /usr/bin
# {_datadir}   : /usr/share
# {_mandir}    : /usr/share/man
# {_docdir}    : /usr/share/doc
# {buildroot}
# {name}
# {version}
# {release}
#########################################################

%install
mkdir -p %{buildroot}%{DISTDIR}
cp -a %{name} %{buildroot}%{DISTDIR}
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications
cp -a %{SOURCE2} %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_bindir}
#ln -s %{DISTDIR}/%{name}/thunderbird %{buildroot}%{_bindir}/thunderbird
#ln -s %{DISTDIR}/%{name}/thunderbird-bin %{buildroot}%{_bindir}/thunderbird-bin
%{__install} -D -m0755 thunderbird.sh %{buildroot}%{_bindir}/thunderbird
rm %{buildroot}%{DISTDIR}/%{name}/{README.txt,removed-files}

cat >> %{buildroot}%{DISTDIR}/%{name}/defaults/pref/all-thunderbird.js << EOM

pref("network.protocol-handler.app.ftp", "/opt/firefox/firefox");
pref("network.protocol-handler.app.http", "/opt/firefox/firefox");
pref("network.protocol-handler.app.https", "/opt/firefox/firefox");
EOM
#pref("network.protocol-handler.external.ftp", "/opt/firefox/firefox");
#pref("network.protocol-handler.external.http", "/opt/firefox/firefox");
#pref("network.protocol-handler.external.https", "/opt/firefox/firefox");

%clean
rm -rf %{buildroot}

#%post
#pushd %{DISTDIR}/thunderbird/
#for library in lib*.[cs][ho]*; do
	#mv -u %{DISTDIR}/thunderbird/${library} /usr/lib/${library}
#	[ -r /usr/lib/${library} ] || (mv %{DISTDIR}/thunderbird/${library} /usr/lib/${library} && rm %{DISTDIR}/thunderbird/${library} 2>/dev/null)
#done
#popd

#%postun
#for f in /usr/lib/*; do
#	[ -f "$f" -a ! -s "$f" ] && rm "$f"
#done

%files
#####################################################
# defattr sets the default attributes for all files
#####################################################
%defattr(-, root, root)
%{DISTDIR}/%{name}
%{_datadir}/applications/thunderbird.desktop
%{_datadir}/pixmaps/thunderbird.png
%{_bindir}/thunderbird
#%{_bindir}/thunderbird-bin


%changelog
* Fri Mar 5 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.3
* Thu Jan 21 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.1
* Sun Aug 21 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
